#!/bin/sh

if [ ! "$PCSCD_ENABLE" ]
then
       a= ssh "$@"
       exit
fi

get_user()
{
      while [ -n "$1" ] ; do
          case "$1" in
              "-l")
                  echo "$2"
                  return
                  ;;
               *)
                  shift
          esac
      done
}

RXSERVERHOME=/var/lib/nxserver/home

# get user from ssh args
SSHUSER=$(get_user "$@")

if [ -z "$SSHUSER" ]
then
    echo "No user detected in ssh command line"
    exit 1
fi

USERHOME="/home/$SSHUSER"
a= ssh -R "$USERHOME/.pcscd.comm:$RXSERVERHOME/.pcscd.comm.$SSHUSER" "$@"
